Search identified companies with nested AND/OR filters and saved segments
curl --request POST \
--url https://data.leadinfo.com/v1/trackers/{tracker_code}/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"sort": "last_seen",
"order": "desc",
"limit": 50,
"offset": 0,
"include_total": false,
"segment_id": 123,
"relationship": "all",
"filters": {
"operator": "and",
"conditions": [
{
"value": null
}
]
}
}
'import requests
url = "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies"
payload = {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"sort": "last_seen",
"order": "desc",
"limit": 50,
"offset": 0,
"include_total": False,
"segment_id": 123,
"relationship": "all",
"filters": {
"operator": "and",
"conditions": [{ "value": None }]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_date: '2023-12-25',
end_date: '2023-12-25',
sort: 'last_seen',
order: 'desc',
limit: 50,
offset: 0,
include_total: false,
segment_id: 123,
relationship: 'all',
filters: {operator: 'and', conditions: [{value: null}]}
})
};
fetch('https://data.leadinfo.com/v1/trackers/{tracker_code}/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start_date' => '2023-12-25',
'end_date' => '2023-12-25',
'sort' => 'last_seen',
'order' => 'desc',
'limit' => 50,
'offset' => 0,
'include_total' => false,
'segment_id' => 123,
'relationship' => 'all',
'filters' => [
'operator' => 'and',
'conditions' => [
[
'value' => null
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies"
payload := strings.NewReader("{\n \"start_date\": \"2023-12-25\",\n \"end_date\": \"2023-12-25\",\n \"sort\": \"last_seen\",\n \"order\": \"desc\",\n \"limit\": 50,\n \"offset\": 0,\n \"include_total\": false,\n \"segment_id\": 123,\n \"relationship\": \"all\",\n \"filters\": {\n \"operator\": \"and\",\n \"conditions\": [\n {\n \"value\": null\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://data.leadinfo.com/v1/trackers/{tracker_code}/companies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start_date\": \"2023-12-25\",\n \"end_date\": \"2023-12-25\",\n \"sort\": \"last_seen\",\n \"order\": \"desc\",\n \"limit\": 50,\n \"offset\": 0,\n \"include_total\": false,\n \"segment_id\": 123,\n \"relationship\": \"all\",\n \"filters\": {\n \"operator\": \"and\",\n \"conditions\": [\n {\n \"value\": null\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.leadinfo.com/v1/trackers/{tracker_code}/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start_date\": \"2023-12-25\",\n \"end_date\": \"2023-12-25\",\n \"sort\": \"last_seen\",\n \"order\": \"desc\",\n \"limit\": 50,\n \"offset\": 0,\n \"include_total\": false,\n \"segment_id\": 123,\n \"relationship\": \"all\",\n \"filters\": {\n \"operator\": \"and\",\n \"conditions\": [\n {\n \"value\": null\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"company_id": 123,
"sessions": 123,
"pages": 123,
"duration": 123,
"unique_visitors": 123,
"active_days": 123,
"first_seen": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"sessions_total": 123,
"pages_total": 123,
"duration_total": 123,
"is_new": true,
"is_returning": true,
"lead_score": 123,
"engagement_score": 123,
"engagement_tier": "cold",
"name": "<string>",
"domain": "<string>",
"website_url": "<string>",
"country": "<string>",
"city": "<string>",
"province": "<string>",
"postal_code": "<string>",
"employee_range": "<string>",
"employees": 123,
"branch_code": 123,
"branch_local": "<string>",
"branch_international": "<string>",
"legal_form": "<string>",
"sales_volume": 123,
"founding_date": "2023-12-25",
"linkedin": "<string>",
"logo": "<string>",
"last_source": "<string>",
"last_medium": "<string>",
"visitors": 0,
"persona_visitors": 0,
"form_submissions": 0,
"leadbot_submissions": 0,
"is_ai_agent": false,
"in_crm": false,
"crm_integrations": [
"<string>"
],
"engagement_sessions": 0,
"engagement_pages": 0,
"engagement_unique_visitors": 0,
"is_shared_network": false,
"icp_score": 123,
"intent_score": 123,
"score": 0,
"score_tier": "hot",
"people_score": 123,
"score_as_of": "2023-12-25",
"tags": [
{
"id": 123,
"name": "<string>"
}
]
}
],
"meta": {
"has_more": true,
"returned": 123,
"total": 123,
"limit": 123,
"offset": 0,
"next_offset": 123,
"segment_id": 123,
"unsupported_rules": [
{
"reason": "<string>",
"field": "<string>",
"operator": "<string>"
}
],
"scoring": {
"weights": {},
"icp_profiles": [
{
"id": 123,
"name": "<string>"
}
],
"intent_profiles": [
{
"id": 123,
"name": "<string>"
}
],
"source": "live",
"scored_at": "2023-11-07T05:31:56Z",
"scoring_version": "<string>"
}
}
}traffic
Search identified companies with nested AND/OR filters and saved segments
POST
/
v1
/
trackers
/
{tracker_code}
/
companies
Search identified companies with nested AND/OR filters and saved segments
curl --request POST \
--url https://data.leadinfo.com/v1/trackers/{tracker_code}/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"sort": "last_seen",
"order": "desc",
"limit": 50,
"offset": 0,
"include_total": false,
"segment_id": 123,
"relationship": "all",
"filters": {
"operator": "and",
"conditions": [
{
"value": null
}
]
}
}
'import requests
url = "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies"
payload = {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"sort": "last_seen",
"order": "desc",
"limit": 50,
"offset": 0,
"include_total": False,
"segment_id": 123,
"relationship": "all",
"filters": {
"operator": "and",
"conditions": [{ "value": None }]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_date: '2023-12-25',
end_date: '2023-12-25',
sort: 'last_seen',
order: 'desc',
limit: 50,
offset: 0,
include_total: false,
segment_id: 123,
relationship: 'all',
filters: {operator: 'and', conditions: [{value: null}]}
})
};
fetch('https://data.leadinfo.com/v1/trackers/{tracker_code}/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'start_date' => '2023-12-25',
'end_date' => '2023-12-25',
'sort' => 'last_seen',
'order' => 'desc',
'limit' => 50,
'offset' => 0,
'include_total' => false,
'segment_id' => 123,
'relationship' => 'all',
'filters' => [
'operator' => 'and',
'conditions' => [
[
'value' => null
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://data.leadinfo.com/v1/trackers/{tracker_code}/companies"
payload := strings.NewReader("{\n \"start_date\": \"2023-12-25\",\n \"end_date\": \"2023-12-25\",\n \"sort\": \"last_seen\",\n \"order\": \"desc\",\n \"limit\": 50,\n \"offset\": 0,\n \"include_total\": false,\n \"segment_id\": 123,\n \"relationship\": \"all\",\n \"filters\": {\n \"operator\": \"and\",\n \"conditions\": [\n {\n \"value\": null\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://data.leadinfo.com/v1/trackers/{tracker_code}/companies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"start_date\": \"2023-12-25\",\n \"end_date\": \"2023-12-25\",\n \"sort\": \"last_seen\",\n \"order\": \"desc\",\n \"limit\": 50,\n \"offset\": 0,\n \"include_total\": false,\n \"segment_id\": 123,\n \"relationship\": \"all\",\n \"filters\": {\n \"operator\": \"and\",\n \"conditions\": [\n {\n \"value\": null\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://data.leadinfo.com/v1/trackers/{tracker_code}/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"start_date\": \"2023-12-25\",\n \"end_date\": \"2023-12-25\",\n \"sort\": \"last_seen\",\n \"order\": \"desc\",\n \"limit\": 50,\n \"offset\": 0,\n \"include_total\": false,\n \"segment_id\": 123,\n \"relationship\": \"all\",\n \"filters\": {\n \"operator\": \"and\",\n \"conditions\": [\n {\n \"value\": null\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"company_id": 123,
"sessions": 123,
"pages": 123,
"duration": 123,
"unique_visitors": 123,
"active_days": 123,
"first_seen": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"sessions_total": 123,
"pages_total": 123,
"duration_total": 123,
"is_new": true,
"is_returning": true,
"lead_score": 123,
"engagement_score": 123,
"engagement_tier": "cold",
"name": "<string>",
"domain": "<string>",
"website_url": "<string>",
"country": "<string>",
"city": "<string>",
"province": "<string>",
"postal_code": "<string>",
"employee_range": "<string>",
"employees": 123,
"branch_code": 123,
"branch_local": "<string>",
"branch_international": "<string>",
"legal_form": "<string>",
"sales_volume": 123,
"founding_date": "2023-12-25",
"linkedin": "<string>",
"logo": "<string>",
"last_source": "<string>",
"last_medium": "<string>",
"visitors": 0,
"persona_visitors": 0,
"form_submissions": 0,
"leadbot_submissions": 0,
"is_ai_agent": false,
"in_crm": false,
"crm_integrations": [
"<string>"
],
"engagement_sessions": 0,
"engagement_pages": 0,
"engagement_unique_visitors": 0,
"is_shared_network": false,
"icp_score": 123,
"intent_score": 123,
"score": 0,
"score_tier": "hot",
"people_score": 123,
"score_as_of": "2023-12-25",
"tags": [
{
"id": 123,
"name": "<string>"
}
]
}
],
"meta": {
"has_more": true,
"returned": 123,
"total": 123,
"limit": 123,
"offset": 0,
"next_offset": 123,
"segment_id": 123,
"unsupported_rules": [
{
"reason": "<string>",
"field": "<string>",
"operator": "<string>"
}
],
"scoring": {
"weights": {},
"icp_profiles": [
{
"id": 123,
"name": "<string>"
}
],
"intent_profiles": [
{
"id": 123,
"name": "<string>"
}
],
"source": "live",
"scored_at": "2023-11-07T05:31:56Z",
"scoring_version": "<string>"
}
}
}Authorizations
Body
application/json
